Bug 121977 - /bin/pidof is missing (SELinux off)
/bin/pidof is missing (SELinux off)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sysvinit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 10:06 EDT by Robert Scheck
Modified: 2014-03-16 22:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-29 16:49:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-04-29 10:06:16 EDT
Description of problem:
There's an error at rebuilding SysVinit, so bin/ in the 
$RPM_BUILD_ROOT doesn't exist and a symbol linking in bin/ fails :-(

--- snipp ---
# These are not installed by default
install -o root -g root -m 755 utmpdump wall /var/tmp/init-root/usr/bin
# install -o root -g root -m 755 etc/initscript.sample /var/tmp/init-root/etc
install -o root -g root -m 755 mesg last /var/tmp/init-root/usr/bin
cd /var/tmp/init-root/sbin; ln -sf halt reboot; chown root.root reboot
cd /var/tmp/init-root/sbin; ln -sf halt poweroff; chown root.root poweroff
cd /var/tmp/init-root/sbin; ln -sf init telinit; chown root.root telinit
cd /var/tmp/init-root/bin; ln -sf ../sbin/killall5 pidof; chown root.root pidof
/bin/sh: line 1: cd: /var/tmp/init-root/bin: No such file or directory
cd /var/tmp/init-root/usr/bin; ln -sf last lastb; chown root.root lastb
install -o root -g root -m 644 ../man/*.8 /var/tmp/init-root/usr/share/man/man8
install -o root -g root -m 644 ../man/*.5 /var/tmp/init-root/usr/share/man/man5
install -o root -g root -m 644 ../man/wall.1 /var/tmp/init-root/usr/share/man/man1
--- snapp ---

Version-Release number of selected component (if applicable):
SysVinit-2.85-24

How reproducible & Steps to Reproduce:
Everytime, it's a simple rebuild. FYI: I turned SELinux off (maybe
it's relevant).
  
Actual results:
Well, I don't know whether you guys from Red Hat want /bin/pidof
(as we had it in Fedora Core 1) or you don't want. But I guess, the 
issue maybe comes from the rebuild for RHEL3.

But if you want /bin/pidof, please solve the problem like that:

--- snipp ---
--- SysVinit.spec       2004-04-23 18:28:18.000000000 +0200
+++ SysVinit.spec.rsc   2004-04-29 16:08:47.000000000 +0200
@@ -65,7 +65,7 @@

 %install
 rm -rf $RPM_BUILD_ROOT
-for I in sbin usr/bin %{_mandir}/man{1,3,5,8} etc var/run dev; do
+for I in sbin bin usr/bin %{_mandir}/man{1,3,5,8} etc var/run dev; do
        mkdir -p $RPM_BUILD_ROOT/$I
 done
 make -C src ROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir} \
@@ -110,6 +110,7 @@
 %attr(2555,root,tty)  /usr/bin/wall
 %{_mandir}/*/*
 /dev/initctl
+/bin/pidof

 %changelog
 * Fri Apr 23 2004 Dan Walsh <dwalsh@redhat.com> 2.85-24
--- snapp ---

And if you really don't want it, please remove that try to create 
symlink ;-)

Expected results:
To have /bin/pidof again
Comment 1 Bill Nottingham 2004-04-29 16:49:07 EDT
pidof is in /sbin. Fixed in -25.
Comment 2 David Lawrence 2007-06-21 22:11:19 EDT
Package name is now sysvinit in Fedora.

Note You need to log in before you can comment on or make changes to this bug.